Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 11797)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 11865)
@@ -127,27 +127,31 @@
             dalash_amt = 1800.0
             provider_amt = 1200.0
-            if xmldict['faculty'] in ('CPGS',):
-                xmldict['institution_acct'] = "1771586608"    #changed account no. from 1771180233
-                xmldict['institution_bank_id'] = '120'
-            elif xmldict['faculty'] in ('IBAS',):
-                xmldict['institution_acct'] = "2013910271"
-                xmldict['institution_bank_id'] = '8'
-                self.pay_item_id = '107'
-            elif xmldict['faculty'] in ('IETS',):
-                xmldict['institution_acct'] = "2013910271"
-                xmldict['institution_bank_id'] = '8'
-                self.pay_item_id = '109'
-            elif xmldict['faculty'] in ('IFMS',):
-                xmldict['institution_acct'] = "0106259811"
-                xmldict['institution_bank_id'] = '10'
-                self.pay_item_id = '106'
-            elif xmldict['faculty'] in ('ITCH',):
-                xmldict['institution_acct'] = "1771586608"    #changed account no. from 1771180233
-                xmldict['institution_bank_id'] = '120'
-                self.pay_item_id = '110'
-            elif xmldict['faculty'] in ('IICT',):
-                xmldict['institution_acct'] = "2013910271"
-                xmldict['institution_bank_id'] = '8'
-                self.pay_item_id = '108'
+            if not student.current_mode.endswith('_pt'):
+                if xmldict['faculty'] in ('CPGS',):
+                    xmldict['institution_acct'] = "1771586608"    #changed account no. from 1771180233
+                    xmldict['institution_bank_id'] = '120'
+                elif xmldict['faculty'] in ('IBAS',):
+                    xmldict['institution_acct'] = "1771586608"  #Changed from FBN to SKYE Bank
+                    xmldict['institution_bank_id'] = '120'
+                    self.pay_item_id = '107'
+                elif xmldict['faculty'] in ('IETS',):
+                    xmldict['institution_acct'] = "0693033406" #Changed from FBN to Access Bank
+                    xmldict['institution_bank_id'] = '31'
+                    self.pay_item_id = '109'
+                elif xmldict['faculty'] in ('IFMS',):
+                    xmldict['institution_acct'] = "2013910271" #changed bank from GTBank to FBN
+                    xmldict['institution_bank_id'] = '8'
+                    self.pay_item_id = '106'
+                elif xmldict['faculty'] in ('ITCH',):
+                    xmldict['institution_acct'] = "0106259811"    #changed from SKYE Bank to GTbank
+                    xmldict['institution_bank_id'] = '10'
+                    self.pay_item_id = '110'
+                elif xmldict['faculty'] in ('IICT',):
+                    xmldict['institution_acct'] = "1100019929" #changed from FBN to Keystone Bank
+                    xmldict['institution_bank_id'] = '123'
+                    self.pay_item_id = '108'
+            else:
+                xmldict['institution_acct'] = "0838798020"  #part-time fees acquired by FCMB
+                xmldict['institution_bank_id'] = '76'
         elif self.context.p_category in SPECIAL_PAYMENT_PARAMS.keys():
             self.pay_item_id = SPECIAL_PAYMENT_PARAMS[self.context.p_category][0]
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 11797)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 11865)
@@ -147,5 +147,5 @@
         self.assertMatches('...Amount Authorized...', self.browser.contents)
         self.assertMatches(
-            '...<span>29500.0</span>...',
+            '...<span>30500.0</span>...',
             self.browser.contents)
         self.payment_url = self.browser.url
@@ -163,8 +163,8 @@
                            self.browser.contents)
         self.assertTrue(
-            '<input type="hidden" name="amount" value="2950000" />' in
-            self.browser.contents)
-        self.assertTrue(
-            'item_name="School Fee" item_amt="2620000" bank_id="120" acct_num="1771586608"' in
+            '<input type="hidden" name="amount" value="3050000" />' in
+            self.browser.contents)
+        self.assertTrue(
+            'item_name="School Fee" item_amt="2720000" bank_id="120" acct_num="1771586608"' in
             self.browser.contents)
         self.assertTrue(
